/* проверка русского */
#include "precompiled.h"
#include "sc_creature.h"
#include "sc_gossip.h"

#define GOSSIP_ITEM_ARENA_TO_HONOR "Обменять 100 АренаПойнтов на 900 ХонорПойнтов"
#define GOSSIP_ITEM_ARENA_TO_HONOR1 "Обменять 1000 АренаПойнтов на 9000 ХонорПойнтов"
#define GOSSIP_ITEM_HONOR_TO_ARENA "Обменять 1000 ХонорПойнтов на 90 АренаПойнтов"
#define GOSSIP_ITEM_HONOR_TO_ARENA1 "Обменять 10000 ХонорПойнтов на 900 АренаПойнтов"

bool GossipHello_npc_arena_honor(Player *player, Creature *_Creature)
{
    player->ADD_GOSSIP_ITEM(0, GOSSIP_ITEM_HONOR_TO_ARENA, GOSSIP_SENDER_MAIN, GOSSIP_ACTION_INFO_DEF + 1);
    player->ADD_GOSSIP_ITEM(0, GOSSIP_ITEM_HONOR_TO_ARENA1, GOSSIP_SENDER_MAIN, GOSSIP_ACTION_INFO_DEF + 2);
    player->ADD_GOSSIP_ITEM(0, GOSSIP_ITEM_ARENA_TO_HONOR, GOSSIP_SENDER_MAIN, GOSSIP_ACTION_INFO_DEF + 3);
    player->ADD_GOSSIP_ITEM(0, GOSSIP_ITEM_ARENA_TO_HONOR1, GOSSIP_SENDER_MAIN, GOSSIP_ACTION_INFO_DEF + 4);
    player->SEND_GOSSIP_MENU(3961,_Creature->GetGUID());
	return true;
}

bool GossipSelect_npc_arena_honor(Player *player, Creature *_Creature, uint32 sender, uint32 action)
{
	if (action == GOSSIP_ACTION_INFO_DEF + 1)
    {
		if (player->GetHonorPoints() >= 1000)
        {
			player->ModifyHonorPoints(-1000); 
			player->ModifyArenaPoints(+90);
        } else {
                  _Creature->MonsterSay("Недостаточно ХонорПойнтов!", LANG_UNIVERSAL, 0);
        }
    }
	if (action == GOSSIP_ACTION_INFO_DEF + 2)
    {
		if (player->GetHonorPoints() >= 10000)
        {
			player->ModifyHonorPoints(-10000); 
			player->ModifyArenaPoints(+900);
        } else {
                  _Creature->MonsterSay("Недостаточно ХонорПойнтов!", LANG_UNIVERSAL, 0);
        }
    }
	if (action == GOSSIP_ACTION_INFO_DEF + 3)
    {
        if (player->GetArenaPoints() >= 100)
        {
            player->ModifyArenaPoints(-100); 
            player->ModifyHonorPoints(+900);
        } else {
                 _Creature->MonsterSay("Недостаточно АренаПойнтов!", LANG_UNIVERSAL, 0);
        }
    }
	if (action == GOSSIP_ACTION_INFO_DEF + 4)
    {
        if (player->GetArenaPoints() >= 1000)
        {
            player->ModifyArenaPoints(-1000); 
            player->ModifyHonorPoints(+9000);
        } else {
                 _Creature->MonsterSay("Недостаточно АренаПойнтов!", LANG_UNIVERSAL, 0);
        }
    }
player->CLOSE_GOSSIP_MENU();
return true;
}

void AddSC_npc_arena_honor()
{
    Script *newscript;
    newscript = new Script;
    newscript->Name="npc_arena_honor";
    newscript->pGossipHello =  &GossipHello_npc_arena_honor;
    newscript->pGossipSelect = &GossipSelect_npc_arena_honor;
    newscript->RegisterSelf();
}
